<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This should test all our connection methods to the LDAP server
 * and return success and failures.
 *
 * @package    Kohana/LDAP
 * @category   Test
 * @author     Deon George
 * @copyright  (c) 2013 phpLDAPadmin Development Team
 * @license    http://dev.phpldapadmin.org/license.html
 * @group      ldap
 * @group      ldap.server
 */
Class LDAPSchema extends Unittest_TestCase {
	/**
	 */
	function testSchemaAccess() {
		$x = LDAP::factory('default');
		$x->bind('bart','eatmyshorts');

		$this->assertTrue(LDAP::factory('schema')->schema() instanceof Model_LDAP_Schema);
	}
}
